From 28ccfbfc51068a663a80764e14074df5edf2b5ba Mon Sep 17 00:00:00 2001
From: kongdeqiang <kongdeqiang960204@163.com>
Date: 星期五, 13 三月 2026 17:41:41 +0800
Subject: [PATCH] 提交

---
 runtime/run_server.sh |   54 +++++++++++++++++++++++++-----------------------------
 1 files changed, 25 insertions(+), 29 deletions(-)

diff --git a/runtime/run_server.sh b/runtime/run_server.sh
index 8f6ccbf..214492c 100644
--- a/runtime/run_server.sh
+++ b/runtime/run_server.sh
@@ -1,22 +1,31 @@
 
 download_model_dir="/workspace/models"
-model_dir="damo/speech_paraformer-large_asr_nat-zh-cn-16k-common-vocab8404-onnx"
-vad_dir="damo/speech_fsmn_vad_zh-cn-16k-common-onnx"
-punc_dir="damo/punc_ct-transformer_zh-cn-common-vocab272727-onnx"
+model_dir="iic/speech_paraformer-large-vad-punc_asr_nat-zh-cn-16k-common-vocab8404-onnx"
+vad_dir="iic/speech_fsmn_vad_zh-cn-16k-common-onnx"
+punc_dir="iic/punc_ct-transformer_cn-en-common-vocab471067-large-onnx"
 itn_dir="thuduj12/fst_itn_zh"
-lm_dir=""
-decoder_thread_num=32
-io_thread_num=8
+lm_dir="iic/speech_ngram_lm_zh-cn-ai-wesp-fst"
 port=10095
-certfile="../../../ssl_key/server.crt"
-keyfile="../../../ssl_key/server.key"
-hotword="../../hotwords.txt"
+certfile="$(pwd)/ssl_key/server.crt"
+keyfile="$(pwd)/ssl_key/server.key"
+hotword="$(pwd)/websocket/hotwords.txt"
+# set decoder_thread_num
+decoder_thread_num=$(cat /proc/cpuinfo | grep "processor"|wc -l) || { echo "Get cpuinfo failed. Set decoder_thread_num = 32"; decoder_thread_num=32; }
+multiple_io=16
+io_thread_num=$(( (decoder_thread_num + multiple_io - 1) / multiple_io ))
+model_thread_num=1
+cmd_path=/workspace/FunASR/runtime/websocket/build/bin
+cmd=funasr-wss-server
 
-. ../egs/aishell/transformer/utils/parse_options.sh || exit 1;
+. ./tools/utils/parse_options.sh || exit 1;
 
-cd /workspace/FunASR/runtime/websocket/build/bin
-if [ -z "$certfile" ] || [ "$certfile" -eq 0 ]; then
-./funasr-wss-server  \
+if [ -z "$certfile" ] || [ "$certfile" = "0" ]; then
+  certfile=""
+  keyfile=""
+fi
+
+cd $cmd_path
+$cmd_path/${cmd}  \
   --download-model-dir "${download_model_dir}" \
   --model-dir "${model_dir}" \
   --vad-dir "${vad_dir}" \
@@ -24,23 +33,10 @@
   --itn-dir "${itn_dir}" \
   --lm-dir "${lm_dir}" \
   --decoder-thread-num ${decoder_thread_num} \
-  --io-thread-num  ${io_thread_num} \
-  --port ${port} \
-  --certfile  "" \
-  --keyfile "" \
-  --hotword "${hotword}"
-else
-./funasr-wss-server  \
-  --download-model-dir "${download_model_dir}" \
-  --model-dir "${model_dir}" \
-  --vad-dir "${vad_dir}" \
-  --punc-dir "${punc_dir}" \
-  --itn-dir "${itn_dir}" \
-  --lm-dir "${lm_dir}" \
-  --decoder-thread-num ${decoder_thread_num} \
+  --model-thread-num ${model_thread_num} \
   --io-thread-num  ${io_thread_num} \
   --port ${port} \
   --certfile  "${certfile}" \
   --keyfile "${keyfile}" \
-  --hotword "${hotword}"
-fi
+  --hotword "${hotword}" &
+

--
Gitblit v1.9.1